var dataArray = {};
var tempArray = {};
var xx='';
{$jsarr$}
var y=0;
function loadNextType(upid){
    for(var key in tempArray){
	var temps=tempArray[key].split('||');
	var z=temps[1];
		if(temps[0]==upid){
		y+=1;
		xx='';
		for(k=0;k<parseInt(temps[3]);k++){
		if(k!=parseInt(temps[3])-1){
		xx+='&nbsp;';
		}else{
		xx+='&nbsp;├&nbsp;';
		}
		}
		dataArray[y]=temps[0]+'||'+temps[1]+'||'+xx+temps[2];
		loadNextType(z);
		}
	}
}
for(var key in tempArray){
var tmp=tempArray[key].split('||');
	if(tmp[0]==0){
		dataArray[y]=tmp[0]+'||'+tmp[1]+'||'+'┣&nbsp;'+tmp[2];
		loadNextType(tmp[1]);
		y+=1;
	}
}

